DCTORAW(1)

NAME
dctoraw - ACR/NEMA DICOM PS3 ... DICOM PS3 - DICOM image to raw file

SYNOPSIS

dctoraw [ -v|verbose ] [ -quiet|silent ]

DESCRIPTION

dctoraw reads the named dicom or acr-nema input file and copies the raw image pixel data to a raw binary file without a header of any kind.

The byte order, packing or encapsulation of the raw result is dependent only on the encoding of the input file and cannot be changed. Use dccp(1) first to change the encoding if necessary.

If the transfer syntax is not encapsulated, only the necessary number of bytes to encode the pixel data will be written (based on rows, columns, number of frames, samples per pixel and bits allocated); this means that for an odd number of bytes the extra DICOM padding byte will not be copied to the raw output. If the transfer syntax is encapsulated, or any of the necessary attributes to calculate the correct pixel data length are missing, all encoded bytes will be written.

OPTIONS
The raw output goes where it is specified or standard out. The verbose output goes to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-quiet|silent
    Suppress the normal description of image parameters.

-verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading, once read, during replacement, and before writing.

ENVIRONMENT

EXAMPLES

% dctoraw expmeta.dc3 expmeta.raw
******** Parameters ... ********
(0x0028,0x0010) US Rows [0x0100]
(0x0028,0x0011) US Columns [0x0100]
(0x0028,0x0002) US Samples per Pixel [0x0001]
(0x0028,0x0103) US Pixel Representation [0x0000]
(0x0028,0x0004) CS Photometric Interpretation <MONOCHROME2>
(0x0028,0x0100) US Bits Allocated [0x0010]
(0x0028,0x0101) US Bits Stored [0x0010]
(0x0028,0x0102) US High Bit [0x000f]
Encapsulated No
ByteOrder Little

FILES

SEE ALSO
dccp(1), pnmtodc(1), rawtodc(1), dcintro(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS